Skip to content

Retrieve an Email

Request

OAuth 2.0 scope:
  • okta.myAccount.email.read

Retrieves the current user's email information by ID: a collection of links that describe the acceptable email operations

Path
idstringrequired

The email ID Use GET /idp/myaccount/emails or POST /idp/myaccount/emails operations to obtain the email ID when adding a new email address.

Example:69dca29c2d8dbb0dca14395ccdb92317
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
GET
/idp/myaccount/emails/{id}
curl -i -X GET \
  https://okta-subdomain.pixtulate.com/idp/myaccount/emails/69dca29c2d8dbb0dca14395ccdb92317 \
  -H 'Accept: application/json; okta-version=1.0.0'

Responses

Example response

Bodyapplication/json;okta-version=1.0.0
idstring, non-emptyread-onlyrequired

The email ID of the caller

profileobjectrequired

Defines the email address on the profile

rolesArray of stringsrequired

Defines the role of the email

Items Enum:"PRIMARY""SECONDARY"
statusstring, non-emptyread-onlyrequired

The email status of the caller

Enum:"VERIFIED""UNVERIFIED"
Response
{ "id": "69dca29c2d8dbb0dca14395ccdb92317", "status": "VERIFIED", "roles": [ "PRIMARY" ], "profile": { "email": "saml.jackson@example.com" }, "_links": { "self": {}, "challenge": {} } }